Package org.jboss.resteasy.core

## Class ServerResponseWriter

- java.lang.Object
- - org.jboss.resteasy.core.ServerResponseWriter

-     public class ServerResponseWriter
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static interface` | `ServerResponseWriter.RunnableWithIOException` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ServerResponseWriter()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `commitHeaders​(BuiltResponse jaxrsResponse, HttpResponse response)` |
    `protected static javax.ws.rs.core.MediaType` | `getDefaultContentType​(HttpRequest request, BuiltResponse jaxrsResponse, ResteasyProviderFactory providerFactory, ResourceMethodInvoker method)` |
    `static javax.ws.rs.core.MediaType` | `getResponseMediaType​(BuiltResponse jaxrsResponse, HttpRequest request, HttpResponse response, ResteasyProviderFactory providerFactory, ResourceMethodInvoker method)` |
    `static javax.ws.rs.core.MediaType` | `resolveContentType​(BuiltResponse response)` |
    `protected static void` | `setDefaultContentType​(HttpRequest request, BuiltResponse jaxrsResponse, ResteasyProviderFactory providerFactory, ResourceMethodInvoker method)` |
    `static void` | `setResponseMediaType​(BuiltResponse jaxrsResponse, HttpRequest request, HttpResponse response, ResteasyProviderFactory providerFactory, ResourceMethodInvoker method)` |
    `static void` | `writeNomapResponse​(BuiltResponse jaxrsResponse, HttpRequest request, HttpResponse response, ResteasyProviderFactory providerFactory)` | Deprecated.
    `static void` | `writeNomapResponse​(BuiltResponse jaxrsResponse, HttpRequest request, HttpResponse response, ResteasyProviderFactory providerFactory, boolean sendHeaders)` | Deprecated.
    `static void` | `writeNomapResponse​(BuiltResponse jaxrsResponse, HttpRequest request, HttpResponse response, ResteasyProviderFactory providerFactory, Consumer<Throwable> onComplete)` |
    `static void` | `writeNomapResponse​(BuiltResponse jaxrsResponse, HttpRequest request, HttpResponse response, ResteasyProviderFactory providerFactory, Consumer<Throwable> onComplete, boolean sendHeaders)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServerResponseWriter

          public ServerResponseWriter()

  - ### Method Detail

    - #### writeNomapResponse

          public static void writeNomapResponse​(BuiltResponse jaxrsResponse,
                                                HttpRequest request,
                                                HttpResponse response,
                                                ResteasyProviderFactory providerFactory,
                                                Consumer<Throwable> onComplete)
                                         throws IOException

      Throws:
        `IOException`

    - #### writeNomapResponse

          @Deprecated
          public static void writeNomapResponse​(BuiltResponse jaxrsResponse,
                                                HttpRequest request,
                                                HttpResponse response,
                                                ResteasyProviderFactory providerFactory)
                                         throws IOException

      Deprecated.
      Throws:
        `IOException`

    - #### writeNomapResponse

          @Deprecated
          public static void writeNomapResponse​(BuiltResponse jaxrsResponse,
                                                HttpRequest request,
                                                HttpResponse response,
                                                ResteasyProviderFactory providerFactory,
                                                boolean sendHeaders)
                                         throws IOException

      Deprecated.
      Throws:
        `IOException`

    - #### writeNomapResponse

          public static void writeNomapResponse​(BuiltResponse jaxrsResponse,
                                                HttpRequest request,
                                                HttpResponse response,
                                                ResteasyProviderFactory providerFactory,
                                                Consumer<Throwable> onComplete,
                                                boolean sendHeaders)
                                         throws IOException

      Throws:
        `IOException`

    - #### setResponseMediaType

          public static void setResponseMediaType​(BuiltResponse jaxrsResponse,
                                                  HttpRequest request,
                                                  HttpResponse response,
                                                  ResteasyProviderFactory providerFactory,
                                                  ResourceMethodInvoker method)

    - #### getResponseMediaType

          public static javax.ws.rs.core.MediaType getResponseMediaType​(BuiltResponse jaxrsResponse,
                                                                        HttpRequest request,
                                                                        HttpResponse response,
                                                                        ResteasyProviderFactory providerFactory,
                                                                        ResourceMethodInvoker method)

    - #### setDefaultContentType

          protected static void setDefaultContentType​(HttpRequest request,
                                                      BuiltResponse jaxrsResponse,
                                                      ResteasyProviderFactory providerFactory,
                                                      ResourceMethodInvoker method)

    - #### getDefaultContentType

          protected static javax.ws.rs.core.MediaType getDefaultContentType​(HttpRequest request,
                                                                            BuiltResponse jaxrsResponse,
                                                                            ResteasyProviderFactory providerFactory,
                                                                            ResourceMethodInvoker method)

    - #### resolveContentType

          public static javax.ws.rs.core.MediaType resolveContentType​(BuiltResponse response)

    - #### commitHeaders

          public static void commitHeaders​(BuiltResponse jaxrsResponse,
                                           HttpResponse response)